org.apache.maven.scm.provider.git.gitexe.command.update

## Class GitUpdateCommandConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.update.GitUpdateCommandConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitUpdateCommandConsumer
    extends AbstractConsumer

Version:
  $Id: GitUpdateCommandConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  olamy

### Constructor Summary

Constructors
Constructor and Description
`GitUpdateCommandConsumer(ScmLogger logger, File workingDirectory)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getUpdatedFiles()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitUpdateCommandConsumer

    public GitUpdateCommandConsumer(ScmLogger logger,
                            File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

#### getUpdatedFiles

    public List getUpdatedFiles()